package cd.casic.plugin;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin
 * @Project：ops
 * @name：PluginLifecycle
 * @Date：2024/06/15 17:31
 * @Filename：PluginLifecycle
 * @description：插件生命周期的操作
 */
public interface PluginLifecycle {

    /**
     * 插件启动前的操作，比如需要单独对插件进行某些特定操作,
     *
     */
    public void beforeWork();


    /**
     * 料理后世方的操作
     */
    public void AfterWork();


}
